package com.ejie.ab63.model;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * Ab6320s00  
 * 
 *  
 */

public class DispensaEstablecimiento implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idDispensasEstab;
	private Establecimiento establecimiento;
	private Date fechaDispensa;
	private String observacionesDescEs;
	private String observacionesDescEu;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private String hasDispensa;
	private String folderId;
	private String folderNumber;
	private String dispensado;

	/**
	 * Method 'Ab6320s00'.
	 */
	public DispensaEstablecimiento() {
	}

	/**
	 * Method 'Ab6320s00'.
	 * 
	 * @param idDispensasEstab
	 *            Integer
	 */
	public DispensaEstablecimiento(Integer idDispensasEstab) {
		this.idDispensasEstab = idDispensasEstab;
	}

	/**
	 * Method 'Ab6320s00'.
	 * 
	 * @param idDispensasEstab
	 *            Integer
	 * @param idDispensa
	 *            Integer
	 * @param fechaDispensa
	 *            Date
	 * @param observacionesDescEs
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param ab6301s00
	 *            Ab6301s00
	 */
	public DispensaEstablecimiento(Integer idDispensasEstab, Date fechaDispensa, String observacionesDescEs,
			String observacionesDescEu, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion,
			String usuarioUltmodificacion, Establecimiento ab6301s00, String folderId, String folderNumber,
			String dispensado) {

		this.idDispensasEstab = idDispensasEstab;
		this.establecimiento = ab6301s00;
		// this.idDispensa = idDispensa;
		this.fechaDispensa = fechaDispensa;
		this.observacionesDescEs = observacionesDescEs;
		this.observacionesDescEu = observacionesDescEu;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
		this.folderId = folderId;
		this.folderNumber = folderNumber;
		this.dispensado = dispensado;
	}

	/**
	 * Method 'getIdDispensasEstab'.
	 *
	 * @return Integer
	 */

	public Integer getIdDispensasEstab() {
		return this.idDispensasEstab;
	}

	/**
	 * Method 'setIdDispensasEstab'.
	 *
	 * @param idDispensasEstab
	 *            Integer
	 * @return
	 */

	public void setIdDispensasEstab(Integer idDispensasEstab) {
		this.idDispensasEstab = idDispensasEstab;
	}

	/**
	 * Method 'getAb6301s00'.
	 *
	 * @return Ab6301s00
	 */

	public Establecimiento getEstablecimiento() {
		return this.establecimiento;
	}

	/**
	 * Method 'setAb6301s00'.
	 *
	 * @param ab6301s00
	 *            Ab6301s00
	 * @return
	 */

	public void setEstablecimiento(Establecimiento ab6301s00) {
		this.establecimiento = ab6301s00;
	}

	/**
	 * Method 'getIdDispensa'.
	 *
	 * @return Integer
	 */
	/*
	 * public Integer getIdDispensa() { return this.idDispensa; }
	 */

	/**
	 * Method 'setIdDispensa'.
	 *
	 * @param idDispensa
	 *            Integer
	 * @return
	 */
	/*
	 * public void setIdDispensa(Integer idDispensa) { this.idDispensa =
	 * idDispensa; }
	 */

	/**
	 * Method 'getFechaDispensa'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaDispensa() {
		return this.fechaDispensa;
	}

	/**
	 * Method 'setFechaDispensa'.
	 *
	 * @param fechaDispensa
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaDispensa(Date fechaDispensa) {
		this.fechaDispensa = fechaDispensa;
	}

	/**
	 * Method 'getDescDispensa'.
	 *
	 * @return String
	 */

	public String getObservacionesDescEs() {
		return this.observacionesDescEs;
	}

	/**
	 * Method 'setDescDispensa'.
	 *
	 * @param descDispensa
	 *            String
	 * @return
	 */

	public void setObservacionesDescEs(String descDispensa) {
		this.observacionesDescEs = descDispensa;
	}

	public String getObservacionesDescEu() {
		return observacionesDescEu;
	}

	public void setObservacionesDescEu(String observacionesDescEu) {
		this.observacionesDescEu = observacionesDescEu;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idDispensasEstab: ").append(this.idDispensasEstab).append(" ]");
		// result.append(", [ idDispensa: ").append(this.idDispensa).append("
		// ]");
		result.append(", [ fechaDispensa: ").append(this.fechaDispensa).append(" ]");
		result.append(", [ descDispensa: ").append(this.observacionesDescEs).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

	public String getHasDispensa() {
		return hasDispensa;
	}

	public void setHasDispensa(String hasDispensa) {
		this.hasDispensa = hasDispensa;
	}

	public String getFolderId() {
		return folderId;
	}

	public void setFolderId(String folderId) {
		this.folderId = folderId;
	}

	public String getFolderNumber() {
		return folderNumber;
	}

	public void setFolderNumber(String folderNumber) {
		this.folderNumber = folderNumber;
	}

	public String getDispensado() {
		return dispensado;
	}

	public void setDispensado(String dispensado) {
		this.dispensado = dispensado;
	}
}
